<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/suffixed_name_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/02/84  suffixed_name_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>This subroutine handles storage system entrynames.  It provides an
<span id="L4" class="LineNr">  4 </span>entry point that creates a properly suffixed name from a user-supplied
<span id="L5" class="LineNr">  5 </span>name that might or might not include a suffix, an entry point that
<span id="L6" class="LineNr">  6 </span>changes the suffix on a user-supplied name that might or might not
<span id="L7" class="LineNr">  7 </span>include the original suffix, and an entry point that finds a segment, a
<span id="L8" class="LineNr">  8 </span>directory, or a multisegment file whose name matches a user-supplied
<span id="L9" class="LineNr">  9 </span>name that might or might not include a suffix.  It is intended to be
<span id="L10" class="LineNr"> 10 </span>used by commands that deal with segments with a standard suffix, but
<span id="L11" class="LineNr"> 11 </span>that do not require the user to supply the suffix in the command
<span id="L12" class="LineNr"> 12 </span>arguments.
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Entry points in suffixed_name_:
<span id="L16" class="LineNr"> 16 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>:Entry:  find:  02/02/84 suffixed_name_$find
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>Function: attempts to find a directory entry whose name matches a
<span id="L23" class="LineNr"> 23 </span>user-supplied name that might or might not include a suffix.  This
<span id="L24" class="LineNr"> 24 </span>directory entry can be a segment, directory, or a multisegment file.
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>Syntax:
<span id="L28" class="LineNr"> 28 </span>declare suffixed_name_$find entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L29" class="LineNr"> 29 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>2<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>5<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L30" class="LineNr"> 30 </span>call suffixed_name_$find <span class="textRainbow_lv0_p0">(</span>directory<span class="textRainbow_lv0_o0">,</span> name<span class="textRainbow_lv0_o0">,</span> suffix<span class="textRainbow_lv0_o0">,</span> entry<span class="textRainbow_lv0_o0">,</span> type<span class="textRainbow_lv0_o0">,</span> mode<span class="textRainbow_lv0_o0">,</span>
<span id="L31" class="LineNr"> 31 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L32" class="LineNr"> 32 </span>
<span id="L33" class="LineNr"> 33 </span>
<span id="L34" class="LineNr"> 34 </span>Arguments:
<span id="L35" class="LineNr"> 35 </span>directory
<span id="L36" class="LineNr"> 36 </span>   is the name of the directory in which the entry is to be found.
<span id="L37" class="LineNr"> 37 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L38" class="LineNr"> 38 </span>name
<span id="L39" class="LineNr"> 39 </span>   is the name that has been supplied by the user, and that might or
<span id="L40" class="LineNr"> 40 </span>   might not include a suffix.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr"> 41 </span>suffix
<span id="L42" class="LineNr"> 42 </span>   is the suffix that is supposed to be part of name.  It should not
<span id="L43" class="LineNr"> 43 </span>   contain a leading period.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L44" class="LineNr"> 44 </span>entry
<span id="L45" class="LineNr"> 45 </span>   is a version of name that includes a suffix.  It is returned even if
<span id="L46" class="LineNr"> 46 </span>   the directory entry does not exist.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>
<span id="L49" class="LineNr"> 49 </span>type
<span id="L50" class="LineNr"> 50 </span>   is a switch indicating the type of directory entry that was found.
<span id="L51" class="LineNr"> 51 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L52" class="LineNr"> 52 </span>   0   no entry was found.
<span id="L53" class="LineNr"> 53 </span>   1   a segment was found.
<span id="L54" class="LineNr"> 54 </span>   2   a directory was found.
<span id="L55" class="LineNr"> 55 </span>   3   a multisegment file was found.
<span id="L56" class="LineNr"> 56 </span>mode
<span id="L57" class="LineNr"> 57 </span>   is the caller's access mode to the directory entry that was found.
<span id="L58" class="LineNr"> 58 </span>   See the hcs_$append_branch entry point for a description of mode.
<span id="L59" class="LineNr"> 59 </span>   The caller's access mode to the multisegment file directory is
<span id="L60" class="LineNr"> 60 </span>   returned for a multisegment file.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L61" class="LineNr"> 61 </span>
<span id="L62" class="LineNr"> 62 </span>
<span id="L63" class="LineNr"> 63 </span>code
<span id="L64" class="LineNr"> 64 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be one of the following:
<span id="L65" class="LineNr"> 65 </span>   error_table_$noentry
<span id="L66" class="LineNr"> 66 </span>      no directory entry that matches name was found.
<span id="L67" class="LineNr"> 67 </span>   error_table_$no_info
<span id="L68" class="LineNr"> 68 </span>      no directory entry that matches name was found, and furthermore,
<span id="L69" class="LineNr"> 69 </span>      the caller does not have status permission to the directory.
<span id="L70" class="LineNr"> 70 </span>   error_table_$incorrect_access
<span id="L71" class="LineNr"> 71 </span>      a directory entry that matches name was found, but the caller has
<span id="L72" class="LineNr"> 72 </span>      null access to this entry, and to the directory containing this
<span id="L73" class="LineNr"> 73 </span>      entry.
<span id="L74" class="LineNr"> 74 </span>   error_table_$entlong
<span id="L75" class="LineNr"> 75 </span>      the properly suffixed name that was made is longer than 32
<span id="L76" class="LineNr"> 76 </span>      characters.
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>:Entry:  make:  02/02/84 suffixed_name_$make
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>
<span id="L82" class="LineNr"> 82 </span>Function: makes a properly suffixed name out of a name supplied by the
<span id="L83" class="LineNr"> 83 </span>user that might or might not include a suffix.
<span id="L84" class="LineNr"> 84 </span>
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>Syntax:
<span id="L87" class="LineNr"> 87 </span>declare suffixed_name_$make entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L88" class="LineNr"> 88 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L89" class="LineNr"> 89 </span>call suffixed_name_$make <span class="textRainbow_lv0_p0">(</span>name<span class="textRainbow_lv0_o0">,</span> suffix<span class="textRainbow_lv0_o0">,</span> proper_name<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L90" class="LineNr"> 90 </span>
<span id="L91" class="LineNr"> 91 </span>
<span id="L92" class="LineNr"> 92 </span>Arguments:
<span id="L93" class="LineNr"> 93 </span>name
<span id="L94" class="LineNr"> 94 </span>   is the name that has been supplied by the user, and that might or
<span id="L95" class="LineNr"> 95 </span>   might not include a suffix.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L96" class="LineNr"> 96 </span>suffix
<span id="L97" class="LineNr"> 97 </span>   is the suffix that is supposed to be part of name.  It should not
<span id="L98" class="LineNr"> 98 </span>   contain a leading period.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L99" class="LineNr"> 99 </span>proper_name
<span id="L100" class="LineNr">100 </span>   is the suffixed version of name.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L101" class="LineNr">101 </span>code
<span id="L102" class="LineNr">102 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be:
<span id="L103" class="LineNr">103 </span>   error_table_$entlong
<span id="L104" class="LineNr">104 </span>      the properly suffixed name that was made is longer than
<span id="L105" class="LineNr">105 </span>      proper_name; proper_name contains only a part of the properly
<span id="L106" class="LineNr">106 </span>      suffixed name.
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>
<span id="L109" class="LineNr">109 </span>:Entry:  new_suffix:  02/02/84 suffixed_name_$new_suffix
<span id="L110" class="LineNr">110 </span>
<span id="L111" class="LineNr">111 </span>
<span id="L112" class="LineNr">112 </span>Function: creates a name with a new suffix by changing the <span class="textRainbow_lv0_p0">(</span>possibly
<span id="L113" class="LineNr">113 </span>existing<span class="textRainbow_lv0_p0">)</span> suffix on a user-supplied name to the new suffix.  If there
<span id="L114" class="LineNr">114 </span>is no suffix on the user-supplied name, then the new suffix is merely
<span id="L115" class="LineNr">115 </span>appended to the user-supplied name.
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>
<span id="L118" class="LineNr">118 </span>Syntax:
<span id="L119" class="LineNr">119 </span>declare suffixed_name_$new_suffix entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L120" class="LineNr">120 </span>     char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L121" class="LineNr">121 </span>call suffixed_name_$new_suffix <span class="textRainbow_lv0_p0">(</span>name<span class="textRainbow_lv0_o0">,</span> suffix<span class="textRainbow_lv0_o0">,</span> new_suffix<span class="textRainbow_lv0_o0">,</span> new_name<span class="textRainbow_lv0_o0">,</span>
<span id="L122" class="LineNr">122 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>
<span id="L125" class="LineNr">125 </span>Arguments:
<span id="L126" class="LineNr">126 </span>name
<span id="L127" class="LineNr">127 </span>   is the name that has been supplied by the user, and that might or
<span id="L128" class="LineNr">128 </span>   might not include a suffix.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L129" class="LineNr">129 </span>suffix
<span id="L130" class="LineNr">130 </span>   is the suffix that might or might not already be on name.
<span id="L131" class="LineNr">131 </span>new_suffix
<span id="L132" class="LineNr">132 </span>   is the new suffix.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L133" class="LineNr">133 </span>new_name
<span id="L134" class="LineNr">134 </span>   is the name that was created.  If name ends with .suffix, then
<span id="L135" class="LineNr">135 </span>   .new_suffix replaces .suffix in new_name.  Otherwise, new_name is
<span id="L136" class="LineNr">136 </span>   formed by appending .new_suffix to name.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>
<span id="L139" class="LineNr">139 </span>code
<span id="L140" class="LineNr">140 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>   It can be:
<span id="L141" class="LineNr">141 </span>   error_table_$entlong
<span id="L142" class="LineNr">142 </span>      meaning that the suffixed new name is longer than new_name and
<span id="L143" class="LineNr">143 </span>      therefore new_name contains only part of the suffixed new name.
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>Notes:  If error_table_$no_s_permission is encountered during the
<span id="L147" class="LineNr">147 </span>processing for suffixed_name_$find, it is ignored and is not returned
<span id="L148" class="LineNr">148 </span>in the status code.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
